<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.util.genarr
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.genarr package">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">


</HEAD>

<BODY BGCOLOR="white">
<FONT size="+1" CLASS="FrameTitleFont">
<A HREF="../../../../ch/javasoft/util/genarr/package-summary.html" target="classFrame">ch.javasoft.util.genarr</A></FONT>
<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Interfaces</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="ArrayIterable.html" title="interface in ch.javasoft.util.genarr" target="classFrame"><I>ArrayIterable</I></A>
<BR>
<A HREF="CloneableTyped.html" title="interface in ch.javasoft.util.genarr" target="classFrame"><I>CloneableTyped</I></A>
<BR>
<A HREF="GenericArray.html" title="interface in ch.javasoft.util.genarr" target="classFrame"><I>GenericArray</I></A>
<BR>
<A HREF="KnownLengthIterable.html" title="interface in ch.javasoft.util.genarr" target="classFrame"><I>KnownLengthIterable</I></A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Classes</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr" target="classFrame">AbstractArrayIterable</A>
<BR>
<A HREF="AbstractGenericArray.html" title="class in ch.javasoft.util.genarr" target="classFrame">AbstractGenericArray</A>
<BR>
<A HREF="GenericDynamicArray.html" title="class in ch.javasoft.util.genarr" target="classFrame">GenericDynamicArray</A>
<BR>
<A HREF="GenericFixSizeArray.html" title="class in ch.javasoft.util.genarr" target="classFrame">GenericFixSizeArray</A>
<BR>
<A HREF="KnownLengthIterableIterable.html" title="class in ch.javasoft.util.genarr" target="classFrame">KnownLengthIterableIterable</A>
<BR>
<A HREF="ListArrayIterable.html" title="class in ch.javasoft.util.genarr" target="classFrame">ListArrayIterable</A></FONT></TD>
</TR>
</TABLE>


</BODY>
</HTML>
